View Issue Details

IDProjectCategoryView StatusLast Update
0001643SymmetricDSImprovementpublic2014-06-16 20:27
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001643: Support multiple reload channels
DescriptionAdd a reload flag to the channel table. Add a reload_channel_id column to the trigger table and file_trigger tables.

This is to support different loader types during an initial load.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 8d557835

2014-03-18 20:44:23

chenson

Details Diff
0001643: Support multiple reload channels
0001581: Add support for multiple channels for file sync

0001643
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Channel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/FileTrigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeChannel.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/RemoteNodeStatus.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/RemoteNodeStatuses.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/Trigger.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IFileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AcknowledgeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/ConfigurationServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataExtractorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/FileSyncServiceSqlMap.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PushService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TriggerRouterServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File

Issue History

Date Modified Username Field Change
2014-03-12 13:02 chenson New Issue
2014-03-12 13:02 chenson Status new => assigned
2014-03-12 13:02 chenson Assigned To => chenson
2014-03-20 16:00 Changeset attached => SymmetricDS trunk r8086
2014-03-23 19:22 chenson Status assigned => resolved
2014-03-23 19:22 chenson Fixed in Version => 3.6.0
2014-03-23 19:22 chenson Resolution open => fixed
2014-06-16 20:27 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 8d557835